using FluentValidation;

namespace CMSMicroservice.Application.DiscountShopCQ.Commands.UpdateCartItemCount;

public class UpdateCartItemCountCommandValidator : AbstractValidator<UpdateCartItemCountCommand>
{
    public UpdateCartItemCountCommandValidator()
    {
        RuleFor(x => x.UserId)
            .GreaterThan(0).WithMessage("شناسه کاربر باید مثبت باشد");

        RuleFor(x => x.ProductId)
            .GreaterThan(0).WithMessage("شناسه محصول باید مثبت باشد");

        RuleFor(x => x.NewCount)
            .GreaterThanOrEqualTo(0).WithMessage("تعداد نمی‌تواند منفی باشد");
    }
}
